Rex::Group::Lookup::INI(3pm)

NAME
Rex::Group::Lookup::INI - read host names and groups from an INI style file

DESCRIPTION
With this module you can define host groups in an INI style file.

SYNOPSIS
 use Rex::Group::Lookup::INI;
 groups_file 'file.ini';

EXPORTED FUNCTIONS

  groups_file($file)
With this function you can read groups from INI style files.

File example:

 # servers.ini
 [webservers]
 fe01
 fe02

 [backends]
 be[01..03]

It supports the same expressions as the group command.

Since 0.42, it also supports custom host properties if the use_server_auth feature flag is enabled:

 # servers.ini
 [webservers]
 server01 user=root password=foob4r sudo=true services=apache,memcache

 # Rexfile
 use Rex -feature => ['use_server_auth'];

 task 'list_services', group => 'webservers', sub {
   say connection->server->option('services');
 }